<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE tiles-definitions PUBLIC
       "-//Apache Software Foundation//DTD Tiles Configuration 3.0//EN"
       "http://tiles.apache.org/dtds/tiles-config_3_0.dtd">
<tiles-definitions>
	
	<!--  Template for all Dashboard Page	 -->
	<definition name="dashboard" template="/WEB-INF/layouts/dashboard_layout.jsp">
		
		<put-list-attribute name="stylesheets">
			<add-attribute value="/resources/bootstrap/css/bootstrap.min.css" />
			<add-attribute value="/resources/plugins/jQueryUI/jquery-ui.css" />
			<add-attribute value="/resources/css/AdminLTE.min.css" />
            <add-attribute value="/resources/css/skins/_all-skins.min.css" />
            <add-attribute value="/resources/plugins/iCheck/flat/blue.css" />
            <add-attribute value="/resources/plugins/morris/morris.css" />
            <add-attribute value="/resources/plugins/jvectormap/jquery-jvectormap-1.2.2.css" />
            <add-attribute value="/resources/plugins/datepicker/datepicker3.css" />
            <add-attribute value="/resources/plugins/daterangepicker/daterangepicker.css" />
            <add-attribute value="/resources/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css" />
        </put-list-attribute>
        <put-list-attribute name="javascripts">
        	<add-attribute value="/resources/plugins/jQuery/jquery-2.2.3.min.js" />
        	<add-attribute value="/resources/plugins/jQueryUI/jquery-ui.min.js" />
        	<add-attribute value="/resources/bootstrap/js/bootstrap.min.js" />
        	<add-attribute value="/resources/plugins/chartjs/Chart.min.js" />
        	<add-attribute value="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js" />
        	<add-attribute value="/resources/plugins/morris/morris.min.js" />
        	<add-attribute value="/resources/plugins/sparkline/jquery.sparkline.min.js" />
        	<add-attribute value="/resources/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js" />
        	<add-attribute value="/resources/plugins/jvectormap/jquery-jvectormap-world-mill-en.js" />
        	<add-attribute value="/resources/plugins/knob/jquery.knob.js" />
        	<add-attribute value="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.11.2/moment.min.js" />
        	<add-attribute value="/resources/plugins/daterangepicker/daterangepicker.js" />
        	<add-attribute value="/resources/plugins/datepicker/bootstrap-datepicker.js" />
        	<add-attribute value="/resources/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js" />
        	<add-attribute value="/resources/plugins/slimScroll/jquery.slimscroll.min.js" />
        	<add-attribute value="/resources/plugins/fastclick/fastclick.js"></add-attribute>
            <add-attribute value="/resources/js/app.min.js" />
            <add-attribute value="/resources/js/dashboard.js" />
            <add-attribute value="/resources/js/demo.js" />
        </put-list-attribute>
        
	</definition>
	
	<!-- 	Mapping for main contents -->
	<definition name="dashboard.index" extends="dashboard">
		<put-attribute name="title" value="REMP | Dashboard" />
		<put-attribute name="header" value="/WEB-INF/layouts/dashboard_header.jsp" />
		<put-attribute name="sidebar" value="/WEB-INF/layouts/dashboard_sidebar.jsp" />
		<put-attribute name="content" value="/WEB-INF/views/dashboard/index.jsp" />
		<put-attribute name="footer" value="/WEB-INF/layouts/dashboard_footer.jsp" />
	</definition>

</tiles-definitions>
